io.undertow.security.idm

## Class X509CertificateCredential

- java.lang.Object
- - io.undertow.security.idm.X509CertificateCredential

All Implemented Interfaces:
  Credential

    public final class X509CertificateCredential
    extends Object
    implements Credential

A `Credential` implementation which wraps an X.509 certificate.

Author:
  Darran Lofthouse

### Constructor Summary

Constructors
Constructor and Description
`X509CertificateCredential(X509Certificate certificate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`X509Certificate` `getCertificate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### X509CertificateCredential

    public X509CertificateCredential(X509Certificate certificate)

### Method Detail

#### getCertificate

    public X509Certificate getCertificate()